Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
link.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Back)) if(isset( $OK)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMailMain", "Language" )
| $t
| $top_name = $t->get_var( "intl-top_category" )
| $companyTypeList = eZCompanyType::getTree( 0, 0, true, $top_name )
| $categoryList = array()
| $category_values = (new eZMail())->getContacts( $MailID )
foreach( $companyTypeList as $companyTypeItem) if(count( $companyTypeList) > 0) | else
| $personList =& (new eZPerson())->getAll()

## Variable Documentation

## ◆ $category_values

$category_values = (new eZMail())->getContacts( $MailID )

Definition at line 85 of file link.php.

## ◆ $categoryList

$categoryList = array()

Definition at line 78 of file link.php.

## ◆ $companyTypeList

$companyTypeList = eZCompanyType::getTree( 0, 0, true, $top_name )

Definition at line 77 of file link.php.

## ◆ $ini

if (isset($Back)) if (isset($OK)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 58 of file link.php.

## ◆ $Language

$Language = $ini->variable( "eZMailMain", "Language" )

Definition at line 59 of file link.php.

## ◆ $personList

$personList =& (new eZPerson())->getAll()

Definition at line 119 of file link.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmail/user/" . $ini->variable( "eZMailMain", "TemplateDir" ),
"kernel/ezmail/user/intl/", $Language, "link.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Back)) if(isset( $OK)) $ini
Definition: link.php:58
$Language
$Language
Definition: link.php:59

Definition at line 61 of file link.php.

## ◆ $top_name

$top_name = $t->get_var( "intl-top_category" )

Definition at line 74 of file link.php.

## ◆ else

foreach ($personList as $person) if (count($personList) > 0) else

Initial value:
{
$t->set_var( "company_list", "" )
$t
$t
Definition: link.php:61

Definition at line 115 of file link.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.